package com.example.quiz.data.model;

import com.example.quiz.data.model.enums.CourseType;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;


public class Course {
    private int id;
    private String type;
    private String numero;
    private String nom;
    private String lieu;
    private String dateDepartCourse;
    private int reunionId;
    private String particularite;
    private int partants;
    private String statut;
    private int nombreChevauxInscrits;

    public Course(int id, String type, String numero, String nom, String lieu, String dateDepartCourse, int reunionId, String particularite, int partants, String statut, int nombreChevauxInscrits) {
        this.id = id;
        this.type = type;
        this.numero = numero;
        this.nom = nom;
        this.lieu = lieu;
        this.dateDepartCourse = dateDepartCourse;
        this.reunionId = reunionId;
        this.particularite = particularite;
        this.partants = partants;
        this.statut = statut;
        this.nombreChevauxInscrits = nombreChevauxInscrits;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String stype) {
        this.type = stype;
    }

    public String getNumero() {
        return numero;
    }

    public void setNumero(String numero) {
        this.numero = numero;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getLieu() {
        return lieu;
    }

    public void setLieu(String lieu) {
        this.lieu = lieu;
    }

    public String getDateDepartCourse() {
        return dateDepartCourse;
    }

    public void setDateDepartCourse(String dateDepartCourse) {
        this.dateDepartCourse = dateDepartCourse;
    }

    public int getReunionId() {
        return reunionId;
    }

    public void setReunionId(int reunionId) {
        this.reunionId = reunionId;
    }

    public String getParticularite() {
        return particularite;
    }

    public void setParticularite(String particularite) {
        this.particularite = particularite;
    }

    public int getPartants() {
        return partants;
    }

    public void setPartants(int partants) {
        this.partants = partants;
    }

    public String getStatut() {
        return statut;
    }

    public void setStatut(String statut) {
        this.statut = statut;
    }

    public int getNombreChevauxInscrits() {
        return nombreChevauxInscrits;
    }

    public void setNombreChevauxInscrits(int nombreChevauxInscrits) {
        this.nombreChevauxInscrits = nombreChevauxInscrits;
    }
}
